CVE-2020-36182

NameCVE-2020-36182
DescriptionFasterXML jackson-databind 2.x before 2.9.10.8 mishandles the interaction between serialization gadgets and typing, related to org.apache.tomcat.dbcp.dbcp2.cpdsadapter.DriverAdapterCPDS.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2638-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jackson-databind (PTS)stretch2.8.6-1+deb9u7vulnerable
stretch (security)2.8.6-1+deb9u9fixed
buster2.9.8-3+deb10u2vulnerable
buster (security)2.9.8-3+deb10u1vulnerable
bullseye, sid2.12.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jackson-databindsourcestretch2.8.6-1+deb9u9DLA-2638-1
jackson-databindsource(unstable)2.12.1-1

Notes

[buster] - jackson-databind <no-dsa> (Minor issue)
https://github.com/FasterXML/jackson-databind/issues/3004
Starting from 2.10 series mitigated as Safe Default Typing is enabled by default
but still an issue when Default Typing is enabled.
https://github.com/FasterXML/jackson-databind/commit/3ded28aece694d0df39c9f0fa1ff385b14a8656b

Search for package or bug name: Reporting problems